// menus 
function vw_radio_station_menu_open_nav() {
	window.vw_radio_station_responsiveMenu=true;
	jQuery(".sidenav").addClass('show');
}
function vw_radio_station_menu_close_nav() {
	window.vw_radio_station_responsiveMenu=false;
 	jQuery(".sidenav").removeClass('show');
}
jQuery(function($){
 	"use strict";
 	jQuery('.main-menu > ul').superfish({
		delay: 500,
		animation: {opacity:'show',height:'show'},
		speed: 'fast'
 	});
});

jQuery(document).ready(function () {
	window.vw_radio_station_currentfocus=null;
  	vw_radio_station_checkfocusdElement();
	var vw_radio_station_body = document.querySelector('body');
	vw_radio_station_body.addEventListener('keyup', vw_radio_station_check_tab_press);
	var vw_radio_station_gotoHome = false;
	var vw_radio_station_gotoClose = false;
	window.vw_radio_station_responsiveMenu=false;
 	function vw_radio_station_checkfocusdElement(){
	 	if(window.vw_radio_station_currentfocus=document.activeElement.className){
		 	window.vw_radio_station_currentfocus=document.activeElement.className;
	 	}
 	}
 	function vw_radio_station_check_tab_press(e) {
		"use strict";
		// pick passed event or global event object if passed one is empty
		e = e || event;
		var activeElement;

		if(window.innerWidth < 999){
		if (e.keyCode == 9) {
			if(window.vw_radio_station_responsiveMenu){
			if (!e.shiftKey) {
				if(vw_radio_station_gotoHome) {
					jQuery( ".main-menu ul:first li:first a:first-child" ).focus();
				}
			}
			if (jQuery("a.closebtn.mobile-menu").is(":focus")) {
				vw_radio_station_gotoHome = true;
			} else {
				vw_radio_station_gotoHome = false;
			}

		}else{

			if(window.vw_radio_station_currentfocus=="responsivetoggle"){
				jQuery( "" ).focus();
			}}}
		}
		if (e.shiftKey && e.keyCode == 9) {
		if(window.innerWidth < 999){
			if(window.vw_radio_station_currentfocus=="header-search"){
				jQuery(".responsivetoggle").focus();
			}else{
				if(window.vw_radio_station_responsiveMenu){
				if(vw_radio_station_gotoClose){
					jQuery("a.closebtn.mobile-menu").focus();
				}
				if (jQuery( ".main-menu ul:first li:first a:first-child" ).is(":focus")) {
					vw_radio_station_gotoClose = true;
				} else {
					vw_radio_station_gotoClose = false;
				}

			}else{

			if(window.vw_radio_station_responsiveMenu){
			}}}}
		}
	 	vw_radio_station_checkfocusdElement();
	}
});

jQuery('document').ready(function($){
	// preloader
  setTimeout(function () {
		jQuery("#preloader").fadeOut("slow");
  },1000);

  // Sticky Header
  $(window).scroll(function(){
		var sticky = $('.header-sticky'),
			scroll = $(window).scrollTop();

		if (scroll >= 100) sticky.addClass('header-fixed');
		else sticky.removeClass('header-fixed');
	});
});

/*sticky copyright*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.copyright-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('copyright-fixed');
  } else {
    sticky.classList.remove('copyright-fixed');
  }
});

// Scroller
jQuery(document).ready(function () {
	jQuery(window).scroll(function () {
    if (jQuery(this).scrollTop() > 100) {
      jQuery('.scrollup i').fadeIn();
    } else {
      jQuery('.scrollup i').fadeOut();
    }
	});
	jQuery('.scrollup i').click(function () {
    jQuery("html, body").animate({
      scrollTop: 0
    }, 600);
    return false;
	});
});

// search
jQuery(document).ready(function () {
    function vw_radio_station_search_loop_focus(element) {
    var vw_radio_station_focus = element.find('select, input, textarea, button, a[href]');
    var vw_radio_station_firstFocus = vw_radio_station_focus[0];  
    var vw_radio_station_lastFocus = vw_radio_station_focus[vw_radio_station_focus.length - 1];
    var KEYCODE_TAB = 9;

    element.on('keydown', function vw_radio_station_search_loop_focus(e) {
      var isTabPressed = (e.key === 'Tab' || e.keyCode === KEYCODE_TAB);

      if (!isTabPressed) { 
        return; 
      }

      if ( e.shiftKey ) /* shift + tab */ {
        if (document.activeElement === vw_radio_station_firstFocus) {
          vw_radio_station_lastFocus.focus();
            e.preventDefault();
          }
        } else /* tab */ {
        if (document.activeElement === vw_radio_station_lastFocus) {
          vw_radio_station_firstFocus.focus();
            e.preventDefault();
          }
        }
    });
  }
  jQuery('.search-box span a').click(function(){
      jQuery(".serach_outer").slideDown(1000);
      vw_radio_station_search_loop_focus(jQuery('.serach_outer'));
  });

  jQuery('.closepop a').click(function(){
      jQuery(".serach_outer").slideUp(1000);
  });
});

// Video Popup
(function( $ ) {
    $(document).ready(function(){
        $('#openBtn').on('click', function() {
          $('#videoOverlay').css('display', 'flex');
        });
        $('.close-btn').on('click', function() {
          $('#videoOverlay').hide();
        });
    });
})( jQuery );

/*sticky sidebar*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.sidebar-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('sidebar-fixed');
  } else {
    sticky.classList.remove('sidebar-fixed');
  }
});
/* Progress Bar */
document.addEventListener("DOMContentLoaded", function () {
    const vw_radio_station_progressBar =
        document.getElementById("vw_radio_station_elemento_progress_bar");
    if (!vw_radio_station_progressBar) return;
    window.addEventListener("scroll", function () {
        const vw_radio_station_scrollTop =
            document.documentElement.scrollTop || document.body.scrollTop;
        const vw_radio_station_height =
            document.documentElement.scrollHeight -
            document.documentElement.clientHeight;
        const vw_radio_station_scrolled =
            (vw_radio_station_scrollTop / vw_radio_station_height) * 100;
        vw_radio_station_progressBar.style.width =
            vw_radio_station_scrolled + "%";
    });
});